import request from '@/utils/request'

// 根据模型id获取主数据表结构
export function getColumnsByModelId(query) {
    return request({
      url: '/md/search/getColumnsByModelId',
      method: 'get',
      params: query
    })
}
// 根据模型id获取主数据表结构
export function getTableDataByModelId(query) {
    return request({
      url: '/md/search/getTableDataByModelId',
      method: 'get',
      params: query
    })
}
// 审批日志
export function getApproveLogList(query) {
    return request({
      url: '/md/search/getApproveLogList',
      method: 'get',
      params: query
    })
}
// 生命周期
export function getLifeCycle(query) {
    return request({
      url: '/md/search/getLifeCycle',
      method: 'get',
      params: query
    })
}
// 查看版本
export function getVersionList(query) {
    return request({
      url: '/md/search/getVersionList',
      method: 'get',
      params: query
    })
}
// 版本对比
export function getVersionContrast(query) {
    return request({
      url: '/md/search/getVersionContrast',
      method: 'get',
      params: query
    })
}
// 数据分发接口列表
export function mainDataList(query) {
  return request({
    url: '/servicesysDistribution/distribution/mainDataList',
    method: 'post',
    params: query
  })
}
// 数据导出接口
export function exportExcel(query) {
  return request({
    url: '/md/search/exportExcel',
    method: 'get',
    params: query
  })
}
// 主数据分发
export function distribute(data) {
  return request({
    url: '/servicesysDistribution/distribution/distribute',
    method: 'post',
    data
  })
}
// 页面概况查询
export function showTableModel(query) {
  return request({
    url: '/md/general/showTableModel',
    method: 'get',
    params: query
  })
}
// 获取tree数据
export function getTree(query) {
  return request({
    url: '/md/general/getTree',
    method: 'get',
    params: query
  })
}
